"use strict";
const index_1 = require("../../index");
/**
 * Classes decorated with this decorator will listen to ORM events and their methods will be triggered when event
 * occurs. Those classes must implement EventSubscriberInterface interface.
 */
function EntityEventSubscriber() {
    return function (target) {
        const args = {
            target: target
        };
        index_1.getMetadataArgsStorage().entitySubscribers.add(args);
    };
}
exports.EntityEventSubscriber = EntityEventSubscriber;

//# sourceMappingURL=EventSubscriber.js.map
