import { InsertOperation } from "./InsertOperation";
import { RemoveOperation } from "./RemoveOperation";
import { UpdateOperation } from "./UpdateOperation";
import { JunctionInsertOperation } from "./JunctionInsertOperation";
import { JunctionRemoveOperation } from "./JunctionRemoveOperation";
import { UpdateByRelationOperation } from "./UpdateByRelationOperation";
import { UpdateByInverseSideOperation } from "./UpdateByInverseSideOperation";
/**
 */
export interface EntityWithId {
    id: any;
    entityTarget: Function | string;
    entity: any;
}
/**
 */
export declare class PersistOperation {
    dbEntity: EntityWithId;
    persistedEntity: EntityWithId;
    allDbEntities: EntityWithId[];
    allPersistedEntities: EntityWithId[];
    inserts: InsertOperation[];
    removes: RemoveOperation[];
    updates: UpdateOperation[];
    junctionInserts: JunctionInsertOperation[];
    junctionRemoves: JunctionRemoveOperation[];
    updatesByRelations: UpdateByRelationOperation[];
    updatesByInverseRelations: UpdateByInverseSideOperation[];
    log(): void;
}
